package com.wecloud.im.sdk.sample;

import com.alibaba.fastjson.JSONObject;
import com.wecloud.im.sdk.WecloudIm;
import com.wecloud.im.sdk.WecloudImClientBuilder;

/**
 *
 * @Author luozh
 * @Date 2022年04月18日 13:38
 * @Version 1.0
 */
public class ModifySample {

    public static void main(String[] args) {
        WecloudIm im = new WecloudImClientBuilder().build("http://127.0.0.1:8082",
                "QizKVHcILRWp6Td2",
                "287d04828099fb7de871e9dda845fa8b6b2302faf2ab3737");

        Long userId = 20220413001L;
        String headPortrait = "http://123";
        String nickname = "luo_test2";
        Boolean result = im.modifyUser(userId, nickname, headPortrait);
        System.out.println("\t modify user result=" + JSONObject.toJSONString(result));
    }
}
